package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmClaimMstForm extends HrmBaseForm {
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  ArrayList arylstHrmClaimMst = new ArrayList();
  
  private String[] txtClaimDetailCode;
  
  private String[] txtMaxCalLimit;
  
  private String[] txtGreaterLesserFlag;
  
  private String[] txtMaxLimit;
  
  private String[] txtFlatAmount;
  
  private String[] txtEffectFromDate;
  
  private String[] txtEffectToDate;
  
  private String[] txtAppliedToAll;
  
  private String[] selectAll;
  
  private String claimCodeId;
  
  private String calendarId;
  
  private String payrollFlag;
  
  private String calendarName;
  
  private String docReqFlag;
  
  private String claimCode;
  
  private String butClaimCode;
  
  private String butCalendarCode;
  
  private String butTxtEffectFromDate;
  
  private String butTxtEffectToDate;
  
  private String disabbutClaimCode;
  
  private String disabbutCalendarCode;
  
  private String disabbutTxtEffectToDate;
  
  private String disabbutTxtEffectFromDate;
  
  private String disabclaimCode;
  
  private String disabclaimName;
  
  private String disabdocReqFlag;
  
  private String disabpayrollFlag;
  
  private String claimName;
  
  private String beginMonth;
  
  private String durationMonth;
  
  public ArrayList getArylstHrmClaimMst() {
    return this.arylstHrmClaimMst;
  }
  
  public void setArylstHrmClaimMst(ArrayList newArylstHrmClaimMst) {
    this.arylstHrmClaimMst = newArylstHrmClaimMst;
  }
  
  public String[] getTxtClaimDetailCode() {
    return this.txtClaimDetailCode;
  }
  
  public void setTxtClaimDetailCode(String[] newTxtClaimDetailCode) {
    this.txtClaimDetailCode = newTxtClaimDetailCode;
  }
  
  public String[] getTxtMaxCalLimit() {
    return this.txtMaxCalLimit;
  }
  
  public void setTxtMaxCalLimit(String[] newTxtMaxCalLimit) {
    this.txtMaxCalLimit = newTxtMaxCalLimit;
  }
  
  public String[] getTxtGreaterLesserFlag() {
    return this.txtGreaterLesserFlag;
  }
  
  public void setTxtGreaterLesserFlag(String[] newTxtGreaterLesserFlag) {
    this.txtGreaterLesserFlag = newTxtGreaterLesserFlag;
  }
  
  public String[] getTxtMaxLimit() {
    return this.txtMaxLimit;
  }
  
  public void setTxtMaxLimit(String[] newTxtMaxLimit) {
    this.txtMaxLimit = newTxtMaxLimit;
  }
  
  public String[] getTxtFlatAmount() {
    return this.txtFlatAmount;
  }
  
  public void setTxtFlatAmount(String[] newTxtFlatAmount) {
    this.txtFlatAmount = newTxtFlatAmount;
  }
  
  public String[] getTxtEffectFromDate() {
    return this.txtEffectFromDate;
  }
  
  public void setTxtEffectFromDate(String[] newTxtEffectFromDate) {
    this.txtEffectFromDate = newTxtEffectFromDate;
  }
  
  public String[] getTxtEffectToDate() {
    return this.txtEffectToDate;
  }
  
  public void setTxtEffectToDate(String[] newTxtEffectToDate) {
    this.txtEffectToDate = newTxtEffectToDate;
  }
  
  public String[] getTxtAppliedToAll() {
    return this.txtAppliedToAll;
  }
  
  public void setTxtAppliedToAll(String[] newTxtAppliedToAll) {
    this.txtAppliedToAll = newTxtAppliedToAll;
  }
  
  public String[] getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String[] newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getPayrollFlag() {
    return this.payrollFlag;
  }
  
  public void setPayrollFlag(String newPayrollFlag) {
    this.payrollFlag = newPayrollFlag;
  }
  
  public String getCalendarName() {
    return this.calendarName;
  }
  
  public void setCalendarName(String newCalendarName) {
    this.calendarName = newCalendarName;
  }
  
  public String getDocReqFlag() {
    return this.docReqFlag;
  }
  
  public void setDocReqFlag(String newDocReqFlag) {
    this.docReqFlag = newDocReqFlag;
  }
  
  public String getClaimCode() {
    return this.claimCode;
  }
  
  public void setClaimCode(String newClaimCode) {
    this.claimCode = newClaimCode;
  }
  
  public String getClaimCodeId() {
    return this.claimCodeId;
  }
  
  public void setClaimCodeId(String newClaimCodeId) {
    this.claimCodeId = newClaimCodeId;
  }
  
  public String getCalendarId() {
    return this.calendarId;
  }
  
  public void setCalendarId(String newCalendarId) {
    this.calendarId = newCalendarId;
  }
  
  public String getButClaimCode() {
    return this.butClaimCode;
  }
  
  public void setButClaimCode(String newButClaimCode) {
    this.butClaimCode = newButClaimCode;
  }
  
  public String getButCalendarCode() {
    return this.butCalendarCode;
  }
  
  public void setButCalendarCode(String newButCalendarCode) {
    this.butCalendarCode = newButCalendarCode;
  }
  
  public String getButTxtEffectFromDate() {
    return this.butTxtEffectFromDate;
  }
  
  public void setButTxtEffectFromDate(String newButTxtEffectFromDate) {
    this.butTxtEffectFromDate = newButTxtEffectFromDate;
  }
  
  public String getButTxtEffectToDate() {
    return this.butTxtEffectToDate;
  }
  
  public void setButTxtEffectToDate(String newButTxtEffectToDate) {
    this.butTxtEffectToDate = newButTxtEffectToDate;
  }
  
  public String getDisabbutClaimCode() {
    return this.disabbutClaimCode;
  }
  
  public void setDisabbutClaimCode(String newDisabbutClaimCode) {
    this.disabbutClaimCode = newDisabbutClaimCode;
  }
  
  public String getDisabbutCalendarCode() {
    return this.disabbutCalendarCode;
  }
  
  public void setDisabbutCalendarCode(String newDisabbutCalendarCode) {
    this.disabbutCalendarCode = newDisabbutCalendarCode;
  }
  
  public String getDisabbutTxtEffectToDate() {
    return this.disabbutTxtEffectToDate;
  }
  
  public void setDisabbutTxtEffectToDate(String newDisabbutTxtEffectToDate) {
    this.disabbutTxtEffectToDate = newDisabbutTxtEffectToDate;
  }
  
  public String getDisabbutTxtEffectFromDate() {
    return this.disabbutTxtEffectFromDate;
  }
  
  public void setDisabbutTxtEffectFromDate(String newDisabbutTxtEffectFromDate) {
    this.disabbutTxtEffectFromDate = newDisabbutTxtEffectFromDate;
  }
  
  public String getDisabclaimCode() {
    return this.disabclaimCode;
  }
  
  public void setDisabclaimCode(String newDisabclaimCode) {
    this.disabclaimCode = newDisabclaimCode;
  }
  
  public String getDisabclaimName() {
    return this.disabclaimName;
  }
  
  public void setDisabclaimName(String newDisabclaimName) {
    this.disabclaimName = newDisabclaimName;
  }
  
  public String getDisabdocReqFlag() {
    return this.disabdocReqFlag;
  }
  
  public void setDisabdocReqFlag(String newDisabdocReqFlag) {
    this.disabdocReqFlag = newDisabdocReqFlag;
  }
  
  public String getDisabpayrollFlag() {
    return this.disabpayrollFlag;
  }
  
  public void setDisabpayrollFlag(String newDisabpayrollFlag) {
    this.disabpayrollFlag = newDisabpayrollFlag;
  }
  
  public String getClaimName() {
    return this.claimName;
  }
  
  public void setClaimName(String newClaimName) {
    this.claimName = newClaimName;
  }
  
  public String getBeginMonth() {
    return this.beginMonth;
  }
  
  public void setBeginMonth(String newBeginMonth) {
    this.beginMonth = newBeginMonth;
  }
  
  public String getDurationMonth() {
    return this.durationMonth;
  }
  
  public void setDurationMonth(String newDurationMonth) {
    this.durationMonth = newDurationMonth;
  }
}
